﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ServiceClient
{
    public partial class Form1 : Form
    {
        private ServiceReference1.PersoonSvcClient client = new ServiceClient.ServiceReference1.PersoonSvcClient();
        public Form1()
        {
            InitializeComponent();
            persoonBindingSource.DataSource = client.GetPersonen();
        }

        private void btnToevoegen_Click(object sender, EventArgs e)
        {
            using (PersoonDlg dlg = new PersoonDlg())
            {
                ServiceReference1.Persoon p = new ServiceClient.ServiceReference1.Persoon();
                dlg.Persoon = p;
                if (dlg.ShowDialog() == DialogResult.OK)
                {
                    client.AddPersoon(dlg.Persoon);
                    persoonBindingSource.DataSource = client.GetPersonen();
                }
            }
        }
    }
}
