<%@Page Language="C#" %>
<%@Import Namespace="System.Security.Principal" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head>
<title>Simple Windows Authentication</title>
<style type="text/css">
body {font-family:Tahoma,Arial,sans-serif; font-size:10pt}
input {font-family:Tahoma,Arial,sans-serif; font-size:9pt}
.heading {font-family:Tahoma,Arial,sans-serif; font-size:14pt; font-weight:bold}
.subhead {font-family:Tahoma,Arial,sans-serif; font-size:12pt; font-weight:bold; padding-bottom:5px}
.cite {font-family:Tahoma,Arial,sans-serif; font-size:8pt}
</style></head>
<body bgcolor="#ffffff">
<span class="heading">Simple Windows Authentication</span><hr />
<!--------------------------------------------------------------------------->

<div id="msgHello" runat="server" /><p />

<script language="C#" runat="server">

	void Page_Load()
	{
		// see if the user has been authenticated
		if (User.Identity.IsAuthenticated)
		{
			// get the current WindowsIdentity object for this user
			// this contains more specific information
			WindowsIdentity objWinIdentity = WindowsIdentity.GetCurrent();

			// display the properties
			// NOTE: change the group names and the machine name to suit your setup
			msgHello.InnerHtml = "Hello <b>" + objWinIdentity.Name + "</b><br />"
								+ "The authentication method used was <b>"
								+ objWinIdentity.AuthenticationType + "</b><br />"
								+ "Is this a System account: <b>"
								+ objWinIdentity.IsSystem + "</b><br />"
								+ "Is this an Anonymous account: <b>"
								+ objWinIdentity.IsAnonymous + "</b><br />"
								+ "Is this a Guest account: <b>"
								+ objWinIdentity.IsGuest + "</b><br />"
								+ "Is this account a member of the 'Administrators' group: <b>"
								+ User.IsInRole("BUILTIN\\Administrators") + "</b><br />"
								+ "Is this account a member of the 'Users' group: <b>"
								+ User.IsInRole("BUILTIN\\Users") + "</b><br />"
								+ "Is this account a member of the '{yourserver}\\TestGroup' group: <b>"
								+ User.IsInRole("{yourserver}\\TestGroup") + "</b><br />"
								+ "Is this account a member of the '{yourserver}\\NoMembers' group: <b>"
								+ User.IsInRole("{yourserver}\\NoMembers") + "</b>";
		}
		else
			msgHello.InnerHtml = "Hello, you were not authenticated";
	}

</script>


</body>
</html>

